#ifndef __Pktpkg__
#define __Pktpkg__

#include <stdio.h>

#include "bns.h"

#define ORBSRCNAME_SIZE 64

typedef struct Pktpkg {
    double     time ;  /* time of packet   */
    int        pktid ;  /* packet id   */
    int        sZpacket ;
    unsigned int packetsize ;  /* packet size   */
    unsigned short srcnamesize ;  /* length of source name   */
    unsigned short short_packetsize ;
    char       srcname[ORBSRCNAME_SIZE] ;  /* source name   */
    char       *packet ;
} Pktpkg ;

typedef struct Orbsrc {
    double          slatest_time;	/* time of latest packet on orb */
    double          soldest_time;	/* time of oldest packet on orb */
    unsigned int             nbytes;		/* # of bytes on orb */
    unsigned int             npkts;		/* # of packets on orb */
    int             slatest;		/* pktid of latest packet on orb */
    int             soldest;		/* pktid of oldest packet on orb */
    int             active;		/* data originating now on this port */
    char            srcname[ORBSRCNAME_SIZE];	/* = "" source name */
} Orbsrc ; 

#ifdef  __cplusplus
extern "C" {
#endif

extern Pktpkg *newPktpkg() ;
extern void freePktpkg (Pktpkg *self) ;
extern void initPktpkg (Pktpkg *self) ;
extern int gbnsPktpkg(Bns *bns, int what, Pktpkg *self) ;
extern int pbnsPktpkg(Bns *bns, int what, Pktpkg *self) ;
void pdbgPktpkg(FILE *file, char *msg, Pktpkg *self, int verbose, int indent) ;

#ifdef  __cplusplus
}
#endif

#endif
